package com.template.services;

import com.template.model.pojo.SmartMeterDetail;
import com.template.model.pojo.SmartMeterDetail;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-12-04
 */
public interface SmartMeterDetailService extends IService<SmartMeterDetail> {
    int insertSmartMeterDetail(SmartMeterDetail rns);

    int updateSmartMeterDetail(SmartMeterDetail rns);

    PageUtils<SmartMeterDetail> queryPageSmartMeterDetails(int currentPage, int pageCount, String name);

    int deleteSmartMeterDetailById(int id);

    SmartMeterDetail getSmartById(int id);
}
